docker v2 api - pull_manifest not setting Docker-Content-Digest response header

06/01/2018 02:40 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: Container   

Target version: Katello 3.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/741
Description

running "docker pull" first calls the pull_manifest method which is a pass-through to crane. The response header should include the

proper value in Docker-Content-Digest

Associated revisions

Revision c569d5d2 - 06/11/2018 03:39 PM - Thomas McKay

fixes #23778 - docker pull header

History

#1 - 06/01/2018 04:35 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7414 added

#2 - 06/05/2018 06:41 PM - Thomas McKay

- translation missing: en.field_release changed from 338 to 349

#3 - 06/11/2018 04:01 PM - Thomas McKay

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|c569d5d2056e6f67a181d7c7fcde5449c6cbf97f.
